<div class="mb-4 row justify-content-center">
    <label for="{{label}}" class="col-sm-2 col-form-label text-white">{{label}}</label>
    <div class="col-sm-5">
        <textarea
            [ngClass]="(controlDir && controlDir.control && !controlDir.control.valid && controlDir.control.touched) ? !controlDir.control.valid ? 'is-invalid' : 'is-valid' : null"
            (input)="onChange($any($event.target).value)" (blur)="onTouched()" id="{{label}}" #input
            class="form-control" placeholder="{{label}}"></textarea>
        <div class="invalid-feedback"
            *ngIf="(controlDir && controlDir.control && !controlDir.control.valid && controlDir.control.touched)">
            <span *ngIf="controlDir.control.errors?.['required']">{{label}} is required</span>
            <span *ngIf="controlDir.control.errors?.['min(1)']">{{label}} should be a valid number</span>
            <span *ngIf="controlDir.control.errors?.['minLength(3)']">Valid {{label}} is required</span>
        </div>
    </div>
</div>